Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.messaging
Class PRawMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

Direct Known Subclasses:
  BroadcastLeafSet, BroadcastRouteRow, ByteBufferMsg, ConsistentJoinMsg, JoinRequest, LeafSetRequest, LeafSetResponse, OpenChannelMsg, PastryEndpointMessage, PilotForwardMsg, PJavaSerializedMessage, ProbeRequestMessage, RequestLeafSet, RequestRouteRow, RouteMessage, RouteRowRequest, RouteRowResponse

    public abstract class PRawMessage

extends Message
implements RawMessage

Adapts Message to a RawMessage Adds the "sender" to the RawMessage

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PRawMessage(int address)`
`PRawMessage(int address, java.util.Date timestamp)`

Method Summary

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.rawserialization.RawMessage
`getType, serialize`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Constructor Detail

### PRawMessage

    public PRawMessage(int address)

### PRawMessage

    public PRawMessage(int address,
                       java.util.Date timestamp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.